/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

// UserEC.java
package org.objectweb.jonas.jtests.beans.inherit;

import javax.ejb.CreateException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.RemoveException;

import org.objectweb.jonas.common.Log;
import org.objectweb.util.monolog.api.Logger;
import org.objectweb.util.monolog.api.BasicLevel;

public class UserEC extends UserImpl implements EntityBean {

    static protected Logger logger = null;

    protected EntityContext entityContext;

    public IdPK ejbCreate(int val_id, String val_name) throws CreateException {

        logger.log(BasicLevel.DEBUG, "UserEC.ejbCreate(int " + val_id + " ,String " + val_name + ")");

        // what should be done in a container managed bean is only the following
        // lines ...
        id = val_id;
        name = val_name;
        age = 0;
        password = "bidon";

        return (null);
    }

    public void ejbPostCreate(int val_id, String val_name) {
    }

    public void ejbActivate() {
    }

    public void ejbPassivate() {
    }

    public void ejbLoad() {

    }

    public void ejbStore() {
    }

    public void ejbRemove() throws RemoveException {
    }

    public void setEntityContext(EntityContext ctx) {
        if (logger == null) {
            logger = Log.getLogger("org.objectweb.jonas_tests");
        }
        logger.log(BasicLevel.DEBUG, "");
        entityContext = ctx;
    }

    public void unsetEntityContext() {
    }

    // This method is useful to test the overloaded methods in bean
    public String getData() {
        return "UserEC.getData";
    }

    // This method is useful to test the bug #301113
    public int methBug301113(int p) {
        return p;
    }

}
